Create configuration#
ソフトウェアの設定を作成します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://orchestration.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://orchestration.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
POST
/v1/{tenant_id}/software_configs
HTTPステータスコード#
正常時:200
エラー時:400, 401, 404
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| tenant_id | path | string | 必須 | プロジェクトID |
| inputs | body | array | 任意 | ソフトウェア設定に受け付けられる入力のスキーマ |
| group | body | string | 任意 | サーバに配備される際のソフトウェア設定のグループ 単に、設定を行う外部の設定管理ツールを定義することも可能です。 |
| name | body | string | 必須 | ソフトウェア設定の名前 |
| outputs | body | array | 任意 | ソフトウェア設定が生成する出力のスキーマ |
| config | body | string | 任意 | ソフトウェア設定を実行するスクリプトまたはマニフェスト |
| options | body | string | 任意 | リソースが利用する外部の設定管理ツールのオプションのリスト |
| tenant_id | path | string | 必須 | プロジェクトID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| id | string | ソフトウェア設定のUUID |
| inputs | array | ソフトウェア設定に受け付けられる入力のスキーマ |
| group | string | サーバに配備される際のソフトウェア設定のグループ |
| name | string | ソフトウェア設定の名前 |
| outputs | array | ソフトウェア設定が生成する出力のスキーマ |
| creation_time | string | リソースの作成日時 日時の入力形式は以下のISO 8601形式です。 CCYY-MM-DDThh:mm:ss±hh:mm例:2015-08-27T09:49:58-05:00 「±hh:mm」の部分は、タイムゾーンにUTCからのオフセットがある場合にだけ表示されます。 |
| updated_time | string | リソースの更新日時 日時の入力形式は以下のISO 8601形式です。 CCYY-MM-DDThh:mm:ss±hh:mm例:2015-08-27T09:49:58-05:00 「±hh:mm」の部分は、タイムゾーンにUTCからのオフセットがある場合にだけ表示されます。 |
| config | string | ソフトウェア設定を実行するスクリプトまたはマニフェスト |
| options | string | リソースが利用する外部の設定管理ツールのオプションのリスト |
| software_config | object | ソフトウェア設定のオブジェクト |
リクエスト例#
{ "inputs": [ { "default": null, "type": "String", "name": "foo", "description": null }, { "default": null, "type": "String", "name": "bar", "description": null } ], "group": "script", "name": "a-config-we5zpvyu7b5o", "outputs": [ { "type": "String", "name": "result", "error_output": false, "description": null } ], "config": "#!/bin/sh -x\necho \"Writing to /tmp/$bar\"\necho $foo > /tmp/$bar\necho -n \"The file /tmp/$bar contains `cat /tmp/$bar` for server $deploy_server_id during $deploy_action\" > $heat_outputs_path.result\necho \"Written to /tmp/$bar\"\necho \"Output to stderr\" 1>&2", "options": null }
レスポンス例#
{ "software_config": { "creation_time": "2015-01-31T15:12:36Z", "inputs": [ { "default": null, "type": "String", "name": "foo", "description": null }, { "default": null, "type": "String", "name": "bar", "description": null } ], "group": "script", "name": "a-config-we5zpvyu7b5o", "outputs": [ { "type": "String", "name": "result", "error_output": false, "description": null } ], "options": null, "config": "#!/bin/sh -x\necho \"Writing to /tmp/$bar\"\necho $foo > /tmp/$bar\necho -n \"The file /tmp/$bar contains `cat /tmp/$bar` for server $deploy_server_id during $deploy_action\" > $heat_outputs_path.result\necho \"Written to /tmp/$bar\"\necho \"Output to stderr\" 1>&2", "id": "ddee7aca-aa32-4335-8265-d436b20db4f1" } }